//+------------------------------------------------------------------+
//|                                                  Spread Tool.mq4 |
//|                                     Copyright ?2011, Walter Choy |
//|                                             brother3th@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright ?2011, Walter Choy"
#property link      "brother3th@yahoo.com"

#property indicator_chart_window
//--- input parameters
extern int       pips_distance = 0;
extern string    text_font = "Arial"; 
extern int       text_size = 16;
extern color     text_color = White;

string obj_text_name = "ST_Text";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
      if(ObjectFind(obj_text_name) != -1){
         ObjectDelete(obj_text_name);
      }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
      if(ObjectFind(obj_text_name) == -1){
         ObjectCreate(obj_text_name, OBJ_TEXT, 0, 0, 0);
      } 
   
      string spread_text;
      double pos_price;
      if(Point == 0.00001 || Point == 0.001){
         spread_text = DoubleToStr((Ask - Bid)/Point/10,1);
         pos_price = Close[0] + pips_distance * Point * 10;
      } else { 
         spread_text = DoubleToStr((Ask - Bid)/Point,0);
         pos_price = Close[0] + pips_distance * Point;
      }
      int align = WindowBarsPerChart() * 5 / 100;
      ObjectSet(obj_text_name, OBJPROP_TIME1, Time[0]+Period()*align*60);
      ObjectSet(obj_text_name, OBJPROP_PRICE1, pos_price);
      ObjectSetText(obj_text_name, spread_text, text_size, text_font, text_color);  
//----
   return(0);
  }
//+------------------------------------------------------------------+